com.sun.jna.platform.win32

## Class Sspi.SecBuffer

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.Sspi.SecBuffer

- Direct Known Subclasses:
    Sspi.SecBuffer.ByReference
  Enclosing interface:
    Sspi

      @Structure.FieldOrder(value={"cbBuffer","BufferType","pvBuffer"})
      public static class Sspi.SecBuffer
      extends Structure

  The SecBuffer structure describes a buffer allocated by a transport application to pass to a security package.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Sspi.SecBuffer.ByReference` A ByReference SecBuffer.

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `BufferType` Bit flags that indicate the type of buffer.
    `int` | `cbBuffer` Specifies the size, in bytes, of the buffer pointed to by the pvBuffer member.
    `Pointer` | `pvBuffer` A pointer to a buffer.

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecBuffer()` Create a new SECBUFFER_EMPTY buffer.
    `SecBuffer(int type, byte[] token)` Create a SecBuffer of a given type with initial data.
    `SecBuffer(int type, int size)` Create a SecBuffer of a given type and size.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getBytes()` Get buffer bytes.

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### cbBuffer

          public int cbBuffer

      Specifies the size, in bytes, of the buffer pointed to by the pvBuffer member.

    - #### BufferType

          public int BufferType

      Bit flags that indicate the type of buffer. Must be one of the values of the SecBufferType enumeration.

    - #### pvBuffer

          public Pointer pvBuffer

      A pointer to a buffer.

  - ### Constructor Detail

    - #### SecBuffer

          public SecBuffer()

      Create a new SECBUFFER_EMPTY buffer.

    - #### SecBuffer

          public SecBuffer(int type,
                           int size)

      Create a SecBuffer of a given type and size.
      Parameters:
        `type` - Buffer type, one of SECBUFFER_EMTPY, etc.
        `size` - Buffer size, eg. MAX_TOKEN_SIZE.

    - #### SecBuffer

          public SecBuffer(int type,
                           byte[] token)

      Create a SecBuffer of a given type with initial data.
      Parameters:
        `type` - Buffer type, one of SECBUFFER_EMTPY, etc.
        `token` - Existing token.

  - ### Method Detail

    - #### getBytes

          public byte[] getBytes()

      Get buffer bytes.
      Returns:
        Raw buffer bytes.

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.